> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/graphql/data-access/object-types/access-control-who-audit-log.md).

# AccessControlWhoAuditLog

Represents the change to a WHO item in the access control.

```graphql
type AccessControlWhoAuditLog {
  expiresAt: ModifiedTime
  item: AccessWhoItemItem
  itemId: String
  itemType: WhoItemAuditLogType
  lastRevisionItem: AccessControlWhoLastRevisionItem
  promiseDuration: ModifiedDuration
  type: AccessWhoItemType
}
```

### Fields

#### expiresAt ● [`ModifiedTime`](https://developer.collibra.com/api/graphql/data-access/object-types/modified-time.md) object <a href="#expires-at" id="expires-at"></a>

The change to the expiration date of the WHO item.

#### item ● [`AccessWhoItemItem`](https://developer.collibra.com/api/graphql/data-access/unions/access-who-item-item.md) union <a href="#item" id="item"></a>

The WHO item itself.

#### itemId ● [`String`](https://developer.collibra.com/api/graphql/data-access/scalars/string.md) scalar <a href="#item-id" id="item-id"></a>

The ID of the WHO item that was changed.

#### itemType ● [`WhoItemAuditLogType`](https://developer.collibra.com/api/graphql/data-access/enumerations/who-item-audit-log-type.md) enum <a href="#item-type" id="item-type"></a>

The type of the WHO item.

#### lastRevisionItem ● [`AccessControlWhoLastRevisionItem`](https://developer.collibra.com/api/graphql/data-access/unions/access-control-who-last-revision-item.md) union <a href="#last-revision-item" id="last-revision-item"></a>

The latest (non-deleted) version of the who item.

#### promiseDuration ● [`ModifiedDuration`](https://developer.collibra.com/api/graphql/data-access/object-types/modified-duration.md) object <a href="#promise-duration" id="promise-duration"></a>

A change to the promise duration.

#### type ● [`AccessWhoItemType`](https://developer.collibra.com/api/graphql/data-access/enumerations/access-who-item-type.md) enum <a href="#type" id="type"></a>

A change to the type of the WHO item (grant or promise).

### Implemented By

[`AuditDiffItem`](https://developer.collibra.com/api/graphql/data-access/unions/audit-diff-item.md) union


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.collibra.com/api/graphql/data-access/object-types/access-control-who-audit-log.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
